﻿using AAAS = Autodesk.AutoCAD.ApplicationServices;
using AAW = Autodesk.AutoCAD.Windows;
using AW = Autodesk.Windows;
using Autodesk.AutoCAD.Runtime;
using System;
using System.Diagnostics;


namespace C_Clockdock
{
    partial class Clockbar : System.Windows.Forms.UserControl
    {
        
        /// <summary> 
        /// Erforderliche Designervariable. 
        private System.ComponentModel.IContainer components;
        private System.Windows.Forms.Label Uhr;
        private System.Windows.Forms.Timer Uhrzeit;
        private System.Windows.Forms.Label TagX;
        private System.Windows.Forms.RadioButton Button_Ribonoff;
        /// </summary>
        /// Verwendete Ressourcen bereinigen.
        /// </summary>
        /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }



        #region Vom Komponenten-Designer generierter Code

        /// <summary> 
        /// Erforderliche Methode für die Designerunterstützung. 
        /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Clockbar));
            this.Uhr = new System.Windows.Forms.Label();
            this.Uhrzeit = new System.Windows.Forms.Timer(this.components);
            this.TagX = new System.Windows.Forms.Label();
            this.Button_Ribonoff = new System.Windows.Forms.RadioButton();
            this.SuspendLayout();
            // 
            // Uhr
            // 
            this.Uhr.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.Uhr.AutoSize = true;
            this.Uhr.BackColor = System.Drawing.Color.Transparent;
            this.Uhr.Font = new System.Drawing.Font("Century Gothic", 11.25F);
            this.Uhr.ForeColor = System.Drawing.SystemColors.ControlLight;
            this.Uhr.Location = new System.Drawing.Point(57, 7);
            this.Uhr.Name = "Uhr";
            this.Uhr.Size = new System.Drawing.Size(40, 23);
            this.Uhr.TabIndex = 0;
            this.Uhr.Text = "Time";
            this.Uhr.UseCompatibleTextRendering = true;
            this.Uhr.Click += new System.EventHandler(this.Kalender);
            // 
            // Uhrzeit
            // 
            this.Uhrzeit.Enabled = true;
            this.Uhrzeit.Tick += new System.EventHandler(this.Uhr_Tick1);
            // 
            // TagX
            // 
            this.TagX.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.TagX.AutoSize = true;
            this.TagX.BackColor = System.Drawing.Color.Transparent;
            this.TagX.Font = new System.Drawing.Font("Century Gothic", 8.25F);
            this.TagX.ForeColor = System.Drawing.SystemColors.ActiveCaption;
            this.TagX.Location = new System.Drawing.Point(35, 8);
            this.TagX.Name = "TagX";
            this.TagX.Size = new System.Drawing.Size(24, 18);
            this.TagX.TabIndex = 1;
            this.TagX.Text = "Tag";
            this.TagX.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            this.TagX.UseCompatibleTextRendering = true;
            // 
            // Button_Ribonoff
            // 
            this.Button_Ribonoff.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.Button_Ribonoff.Appearance = System.Windows.Forms.Appearance.Button;
            this.Button_Ribonoff.AutoSize = true;
            this.Button_Ribonoff.BackColor = System.Drawing.Color.Transparent;
            this.Button_Ribonoff.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Stretch;
            this.Button_Ribonoff.CheckAlign = System.Drawing.ContentAlignment.TopCenter;
            this.Button_Ribonoff.Checked = true;
            this.Button_Ribonoff.Font = new System.Drawing.Font("Arial Narrow", 7F);
            this.Button_Ribonoff.ForeColor = System.Drawing.SystemColors.ActiveCaption;
            this.Button_Ribonoff.Image = ((System.Drawing.Image)(resources.GetObject("Button_Ribonoff.Image")));
            this.Button_Ribonoff.Location = new System.Drawing.Point(111, 9);
            this.Button_Ribonoff.Name = "Button_Ribonoff";
            this.Button_Ribonoff.Size = new System.Drawing.Size(49, 42);
            this.Button_Ribonoff.TabIndex = 2;
            this.Button_Ribonoff.TabStop = true;
            this.Button_Ribonoff.Text = "Ribbon";
            this.Button_Ribonoff.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.Button_Ribonoff.UseCompatibleTextRendering = true;
            this.Button_Ribonoff.UseVisualStyleBackColor = false;
            this.Button_Ribonoff.HandleCreated += new System.EventHandler(this.Ribonoff_Start);
            this.Button_Ribonoff.Click += new System.EventHandler(this.Ribonoff_Click);
            // 
            // Clockbar
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.BackColor = System.Drawing.SystemColors.ControlDarkDark;
            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
            this.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Stretch;
            this.Controls.Add(this.Button_Ribonoff);
            this.Controls.Add(this.TagX);
            this.Controls.Add(this.Uhr);
            this.Name = "Clockbar";
            this.Size = new System.Drawing.Size(170, 65);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion


        private void Uhr_Tick1(object sender, EventArgs e)
        {
            this.TagX.Text = string.Format("{0:ddd}", DateTime.Now);
            this.Uhr.Text = string.Format("{0:dd}.{0:MM}.{0:yy}", DateTime.Now)
                               + "\n" + DateTime.Now.ToLongTimeString();
        }

        private void Ribonoff_Start(object sender, EventArgs e)
        {
            object SVrib = AAAS.Application.GetSystemVariable("Ribbonstate");
            string ONoff = "1";
            if (SVrib.ToString() == ONoff)
            { this.Button_Ribonoff.Checked = true; }
            else
            { this.Button_Ribonoff.Checked = false; }
        }
        private void Ribonoff_Click(object sender, EventArgs e)
        {
            AAAS.Document doc = default(AAAS.Document);
            doc = AAAS.Application.DocumentManager.MdiActiveDocument;
            object SVrib = AAAS.Application.GetSystemVariable("Ribbonstate");
            string ONoff = "1";
            if (SVrib.ToString() == ONoff)
            {
                doc.SendStringToExecute("_ribbonclose ", false, false, true);
                this.Button_Ribonoff.Checked = false;
            }
            else
            {
                doc.SendStringToExecute("_ribbon ", false, false, true);
                this.Button_Ribonoff.Checked = true;
            }
        }

        private void Kalender(object sender, EventArgs e)
        {
            try
            {
                ProcessStartInfo Winkal = 
                    new ProcessStartInfo("rundll32.exe", "shell32.dll,Control_RunDLL timedate.cpl,,0");
                Process.Start(Winkal);
            }
            catch { }
        }
 
    }

    public class Dockstart
    {
        static AAW.PaletteSet ps;
        [CommandMethod("Clockdock")]
        public static void Clockdock()
        {
        //{ System.Windows.Forms.MessageBox.Show("Test"); }//Testmeldung 
            if (ps == null)
            {
                //einen Construktor mit Guid verwenden - für das Laden/Sichern von Benutzerdaten
                ps = new AAW.PaletteSet("Clockdock",
                     new Guid("63B8DB5B-10E4-4924-B8A2-A9CF9158E4F6"));
                ps.Style = AAW.PaletteSetStyles.NameEditable |
                           AAW.PaletteSetStyles.ShowPropertiesMenu |
                           AAW.PaletteSetStyles.ShowAutoHideButton |
                           AAW.PaletteSetStyles.ShowCloseButton;
                ps.MinimumSize = new System.Drawing.Size(120, 25);
                ps.Add("Clockbar", new Clockbar());
            }
            //bool b = ps.Visible;
            ps.Visible = true;
        }
    }


}
